#!/bin/bash
psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" -d "$POSTGRES_DB"  <<-EOSQL
     CREATE TABLE IF NOT EXISTS task( id SERIAL PRIMARY KEY NOT NULL, task text UNIQUE, status INTEGER DEFAULT 0 );
     CREATE USER "$POSTGRES_USER";
     ALTER DATABASE "$POSTGRES_DB" OWNER TO "$POSTGRES_USER";
     ALTER TABLE task OWNER TO "$POSTGRES_USER";
     ALTER USER "$POSTGRES_USER" WITH ENCRYPTED PASSWORD '$POSTGRES_PASSWORD';
EOSQL
